/********************************************************************
 * AFrame.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: AFrame.h,v 1.3 1999/12/16 08:13:02 root Exp $
 *
 ********************************************************************/

#include <MsgHandlerQt.h>

class AFrame : public QFrame {
	
	Q_OBJECT

public:
    AFrame(QWidget *_parent=0L, const char *name=0L);
    ~AFrame();

public slots:
    void failure(MsgHandlerQt*);
    void start(ESPMsgHdr *);
    void anlage(ESPMsgHdr *);
    void port(ESPMsgHdr *);
    void stat(ESPMsgHdr *);
    void draw(ESPMsgHdr *);

private:
	void build();

	Amt			*amt[4];
	Nst			*nst[50];
	TlnInfo		*stln[50];
    QLabel		*date;
    QListBox	*icall;
    // QLabel		*icall;
    QLabel		*typ;
    QLabel		*vers;
    MsgHandlerQt  *mh;
	Anlage		*pbx1;
	Anlage		*pbx2;
	QFrame		*f1;
	QFrame		*f2;
};
