/********************************************************************
 * glob.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: glob.h,v 1.2 1999/03/07 20:02:04 root Exp $
 *
 ********************************************************************/
#ifndef	__GLOB_H__
#define	__GLOB_H__

#ifndef memcpy
#define memcpy(d,s,l)	bcopy(s,d,l)
#endif

#ifndef BYTE
#define BYTE			unsigned char
#endif

#ifndef WORD
#define WORD			unsigned short
#endif

#ifndef LONG
#define LONG			unsigned long
#endif

#ifndef TRUE
#define	TRUE			1==1
#endif

#ifndef FALSE
#define FALSE			1==2
#endif

#define MSG_NOT_HANDLED	FALSE
#define MSG_HANDLED		TRUE

#define LNIBBLE_MASK	0x0F
#define HNIBBLE_MASK	0xF0
#define BYTE_MASK		0x00FF
#define WORD_MASK		0x0000FFFF

#define PERM_CTI        0x01
#define PERM_KONFIG     0x02
#define PERM_GEBUER     0x04
#define PERM_FERNWART   0x08
#define PERM_BMON       0x10
#define PERM_S0MON      0x20
#define PERM_LCR        0x40
#define PERM_USER       0x80
#define PERM_SCTRL      0x00

#define AUTH_NONE		0x00
#define AUTH_CLEARTXT	0x01
#define AUTH_ENCRYPT	0x02
#define AUTH_CHALLENGE	0x04
#define AUTH_DENY		0xFF

#define NULL_DEVICE		"/dev/null"

#endif	__GLOB_H__
