/********************************************************************
 * level5.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: level5.h,v 1.2 1999/03/07 20:02:04 root Exp $
 *
 ********************************************************************/
#ifndef __LEVEL5_H__
#define __LEVEL5_H__
 
void	l5_conn_req(cl_mgmt *cl, ESPMsgHdr *msg);
void	l5_conn_auth(cl_mgmt *cl, ESPMsgHdr *msg);
void	l5_conn_accept(cl_mgmt *cl);
void	l5_conn_deny(cl_mgmt *cl, char *why);
void	l5_srvr_stat(cl_mgmt *cl, ESPMsgHdr *msg);
void	l5_srvr_kill(cl_mgmt *cl, ESPMsgHdr *msg);
void	l5_srvr_wake();
void	l5_srvr_msg(cl_mgmt *cl, BYTE code, BYTE flags, char *msg);
void	l5_handle_packet(cl_mgmt *src, cl_mgmt *dst, ESPMsgHdr *packet);
void	l5_err_response(cl_mgmt *cl, ESPMsgHdr *msg);

#endif  __LEVEL5_H__
