#include <NGApp.h>
#include <NGNotifier.h>

NGNotifier::NGNotifier(int fd, int typ, bool stat) {
	_fd		= fd;
	enabled = stat;
	ntfytyp = typ;
	connected = false;
}

const NGNotifier& NGNotifier::operator= (const NGNotifier& n) {
	_fd			= n._fd;
	enabled		= n.enabled;
	ntfytyp		= n.ntfytyp;
	connected	= n.connected;
	return *this;
}

NGNotifier::NGNotifier(const NGNotifier& n) {
	_fd			= n._fd;
	enabled		= n.enabled;
	ntfytyp		= n.ntfytyp;
	connected	= n.connected;
}

NGNotifier::~NGNotifier() {
	if (connected) globalApp->disconnect(this);
}

